package cn.com.qmth.examcloud.core.questions.service.bean.dto;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.ArrayList;
import java.util.List;

/**
 * @author weiwenhai
 * @date 2018.4.19
 * @company qmth
 * @describle 主观题可以客观题集合
 */
public class PaperQuestionStructureInfo implements JsonSerializable {

    private static final long serialVersionUID = -2018523006958760481L;
    /**
     * 客观题列表
     */
    private List<ObjectiveQuestionStructure> objectives;
    /**
     * 主观题列表
     */
    private List<SubjectiveQuestionStructure> subjectives;

    public void addObjective(ObjectiveQuestionStructure objective) {
        if (objectives == null) {
            objectives = new ArrayList<>();
        }
        objectives.add(objective);
    }

    public void addSubjective(SubjectiveQuestionStructure subjective) {
        if (subjectives == null) {
            subjectives = new ArrayList<>();
        }
        subjectives.add(subjective);
    }

    public List<ObjectiveQuestionStructure> getObjectives() {
        return objectives;
    }

    public void setObjectives(List<ObjectiveQuestionStructure> objectives) {
        this.objectives = objectives;
    }

    public List<SubjectiveQuestionStructure> getSubjectives() {
        return subjectives;
    }

    public void setSubjectives(List<SubjectiveQuestionStructure> subjectives) {
        this.subjectives = subjectives;
    }

}